apiVersion: apps/v1
kind: Deployment
metadata:
    name: tentris-proxy
spec:
    replicas: 1
    selector:
        matchLabels:
            app: tentris-proxy
    template:
        metadata:
            labels:
                app: tentris-proxy
        spec:
            containers:
                - name: tentris-proxy
                  image: hub.cs.upb.de/enexa/images/enexa-tentris-proxy:0.0.16
                  ports:
                      - containerPort: 8080
                        name: http # Optional name for the port
                  
                  env:
                      - name: SPARQL_SELECT_ENDPOINT
                        value: http://tentris-devwd-service:9080/sparql
                      - name: SPARQL_UPDATE_ENDPOINT
                        value: http://tentris-devwd-service:9080/update
                      - name: LOGGING_LEVEL_ROOT
                        value: DEBUG
